New pricing effective June 1, 2021.
< All Topics
Print

I Have Updated My PC And The Software Does Not Work Correctly

Windows Vista and later operating systems with 32bit or 64 bit require a new version of TopGuard Patrol. You should download the latest version from our support website. It is recommended that you use TopGuard Patrol version 2.3.2 or later.